package org.jeecg.modules.ctop.service;

import cn.com.ctop.common.module.entity.Project;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.ctop.entity.TransferAccount;

import java.util.List;

/**
 * 转户记录表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-03-26
 */
public interface ITransferAccountService extends IService<TransferAccount> {

    List<JSONObject> selectCost(Long accountId, String startDate, String endDate);

    List<TransferAccount> getAccountQuarterDetail(Long accountId, String startDate, String endDate);

    List<Project> getTransferInfoListByList(List<Project> records);

    Integer checkDate(Long accountId, String transferorDate);
}
